POST /vimgrvcenterruntime/initiate/createse
/vimgrvcenterruntime/initiate/createse
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
cc_create_se_req
Show optional properties
{
"controller_ip_addr": "string",
"cookie": "string",
"name": "string"
}
{
"availability_zone": "string",
"cc_id": "string",
"controller_ip4_addr": "string",
"controller_ip6_addr": "string",
"controller_ip_addr": "string",
"cookie": "string",
"data_networks": [
"string"
],
"disk_gb": 0,
"disk_offering": "string",
"flavor": "string",
"host_list": [
{
"mor": "string",
"name": "string",
"se_grp_low_pri_host": false,
"uuid": "string",
"vs_low_pri_host": false
}
],
"hypervisor": "string",
"mgmt_network_name": "string",
"mgmt_network_uuid": "string",
"name": "string",
"networks": [
"string"
],
"ram": 0,
"segroup_uuid": "string",
"service_offering": "string",
"tenant_uuid": "string",
"vcenter_vm_folder": "string",
"vcpus": 0,
"vs_uuids": [
"string"
]
}
OS single AZ for placement. AWS the AZ is determined by the VIP subnet. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
IPv4 address of the controller. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
IPv6 address of the controller. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Data networks. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Host information sent from resource manager to the cloud connector. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Enum options - DEFAULT, VMWARE_ESX, KVM, VMWARE_VSAN, XEN. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Folder in which the VM is created. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
OK
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"controller_ip_addr":"string","cookie":"string","name":"string"}' https://{api_host}/api/vimgrvcenterruntime/initiate/createse